import type { ServerList, ServerRes } from '~/service/index'
import httpRequest from "~/service/index";
import {type LoginRequest, type CompleteRegistrationRequest, extendRegisterRules, type ForgetPasswordReq} from "~/domain/Login";

export function useCategory() {
  async function getCategory() {
    return await httpRequest.get<ServerRes<any>>(`/productCategory/findList?sort=2`) 
  }
  return {
    getCategory
  }
}
